Bug 1070906 - [RFE] Generate datastream output format for Fedora SCAP content too (necessary for remote system scans)
Summary: [RFE] Generate datastream output format for Fedora SCAP content too (necessar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scap-security-guide
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Lieskovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1068660
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-27 17:10 UTC by Jan Lieskovsky
Modified: 2014-03-11 04:20 UTC (History)
4 users (show)

Fixed In Version: scap-security-guide-0.1.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of: 1068660
Environment:
Last Closed: 2014-03-11 04:16:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Lieskovsky 2014-02-27 17:10:58 UTC
+++ This bug was initially created as a clone of Bug #1068660 +++

Description of problem:

To scan remote systems via SSH scap-workbench scanner & remediation tool requires the benchmark to be provided in datastream format (scanning of remote systems with benchmark being in XCCDF format isn't supported yet).

To allow users of scap-security-guide RPM to scan remote Fedora (RHEL-6, and RHEL-7) systems, upstream has recently added exporting of generated SCAP content / benchmark also into datastream format.

The current version of scap-security-guide RPM package in Fedora should be updated to include this enhancement.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.4-2

Comment 1 Fedora Update System 2014-02-27 17:36:35 UTC
scap-security-guide-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scap-security-guide-0.1.5-1.fc20

Comment 2 Fedora Update System 2014-02-27 17:37:35 UTC
scap-security-guide-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scap-security-guide-0.1.5-1.fc19

Comment 3 Fedora Update System 2014-02-28 18:28:12 UTC
Package scap-security-guide-0.1.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scap-security-guide-0.1.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3172/scap-security-guide-0.1.5-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-03-11 04:16:18 UTC
scap-security-guide-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-03-11 04:20:55 UTC
scap-security-guide-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.